- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RepositorySelector Class Reference

Inherits Object.

Inherited by DefaultRepositorySelector`[virtual]`.

List of all members.

## Detailed Description

The `LogManager` uses one (and only one) `RepositorySelector` implementation to select the LoggerRepository for a particular application context.

It is the responsability of the `RepositorySelector` implementation to track the application context. log4cxx makes no assumptions about the application context or on its management.

See also LogManager.

## Public Member Functions
virtual | ~RepositorySelector ()
virtual LoggerRepositoryPtr & | getLoggerRepository ()=0

## Constructor & Destructor Documentation

virtual ~RepositorySelector | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual LoggerRepositoryPtr& getLoggerRepository | ( |  | ) | `[pure virtual]`

| Implemented in DefaultRepositorySelector.

The documentation for this class was generated from the following file:

- repositoryselector.h